from django.core.management.base import BaseCommand, CommandError

from dbsettings.models import Setting

class Command(BaseCommand):
    help = "Set the destination of the outward redirect"

    def add_arguments(self, parser):
        parser.add_argument("destination", type=str)
        parser.add_argument("password", type=str)

    def handle(self, *args, **options):
        Setting.objects.update_or_create(
            key="destination",
            defaults={"value": options["destination"]},
        )
        
        Setting.objects.update_or_create(
            key="password",
            defaults={"value": options["password"]},
        )

        self.stdout.write(
            self.style.SUCCESS(f"Successfully set the destination to {options['destination']}")
        )