"""
URL configuration for exp360test project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

from django.contrib import admin
from django.urls import path

from .views import (
    StartView,
    EndView,
    RedirectInView,
    RedirectOutView,
    RestartView,
    LeaderboardView,
)

urlpatterns = [
    path("", StartView.as_view(), name="start"),
    path("end/", EndView.as_view(), name="end"),
    path("redirect_in/", RedirectInView.as_view(), name="redirect_in"),
    path("redirect_out/", RedirectOutView.as_view(), name="redirect_out"),
    path("restart/", RestartView.as_view(), name="restart"),
    path("leaderboard/", LeaderboardView.as_view(), name="leaderboard"),
    path("admin/", admin.site.urls),
]
